Autore Topic: [Risolto]Problemi aggiornamento  (Letto 2505 volte)

Offline JackVenom

  • *
  • Post: 83
  • Reputazione: 0
  • Scegli ancora.
    • Mostra profilo
[Risolto]Problemi aggiornamento
« il: 27 Marzo 2011 ore 17:36 »
Salve a tutti!
Da ieri sera pacman mi segnala di avere degli aggiornamenti da fare, vado per farli, ma da terminale mi dice:

Codice: [Seleziona]
Password:
:: Aggiornamento del sistema in corso...
risoluzione delle dipendenze in corso...
ricerca di conflitti in corso...

Pacchetti (15): kernel26-2.6.38.1-1  kernel26-headers-2.6.38.1-1
                acpi_call-20110323-1  broadcom-wl-5.100.82.38-4
                device-mapper-2.02.84-1  filesystem-2011.04-1  lvm2-2.02.84-1
                madwifi-0.9.4.4133-8  ndiswrapper-1.56-12  pmtools-20110323-1
                squashfs-tools-4.1-2  tiacx-20080210-24  udisks-1.0.2-2
                vhba-module-20100822-2  xorg-server-1.9.5-1

Dimensione totale dei pacchetti da scaricare:    0,00 MB
Dimensione totale dei pacchetti da installare:   110,71 MB

Vuoi procedere con l'installazione? [S/n] s
controllo dell'integrità dei pacchetti in corso...
(15/15) controllo dei conflitti in corso           [######################] 100%
errore: impossibile eseguire l'operazione richiesta (file in conflitto)
kernel26: /lib/modules/2.6.38-CHAKRA/modules.alias è già presente nel filesystem
kernel26: /lib/modules/2.6.38-CHAKRA/modules.alias.bin è già presente nel filesystem
kernel26: /lib/modules/2.6.38-CHAKRA/modules.ccwmap è già presente nel filesystem
kernel26: /lib/modules/2.6.38-CHAKRA/modules.dep è già presente nel filesystem
kernel26: /lib/modules/2.6.38-CHAKRA/modules.dep.bin è già presente nel filesystem
kernel26: /lib/modules/2.6.38-CHAKRA/modules.ieee1394map è già presente nel filesystem
kernel26: /lib/modules/2.6.38-CHAKRA/modules.inputmap è già presente nel filesystem
kernel26: /lib/modules/2.6.38-CHAKRA/modules.isapnpmap è già presente nel filesystem
kernel26: /lib/modules/2.6.38-CHAKRA/modules.ofmap è già presente nel filesystem
kernel26: /lib/modules/2.6.38-CHAKRA/modules.pcimap è già presente nel filesystem
kernel26: /lib/modules/2.6.38-CHAKRA/modules.seriomap è già presente nel filesystem
kernel26: /lib/modules/2.6.38-CHAKRA/modules.symbols è già presente nel filesystem
kernel26: /lib/modules/2.6.38-CHAKRA/modules.symbols.bin è già presente nel filesystem
kernel26: /lib/modules/2.6.38-CHAKRA/modules.usbmap è già presente nel filesystem
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.

--- Finished ---


E ovviamente non aggiorna nulla. Che faccio?
La tana Blog in cui parlo delle mie avventure con i vari sistemi operativi, e delle mie avventure con la MTB

Offline JackVenom

  • *
  • Post: 83
  • Reputazione: 0
  • Scegli ancora.
    • Mostra profilo
Re: Problemi aggiornamento
« Risposta #1 il: 27 Marzo 2011 ore 17:51 »
Ho risolto dando questo comando:

Codice: [Seleziona]
sudo pacman -Syf kernel26

come suggerito in questo topic: QUI

Boh, non so cosa abbia fatto io per avere questo problema, ma ora è risolto, e pure gli altri aggiornamenti sono andati! ;)

Piuttosto, se qualcuno può dirmi come posso aver causato quel problema mi impedirebbe di ricommettere lo stesso errore una seconda volta!! :cheer:
La tana Blog in cui parlo delle mie avventure con i vari sistemi operativi, e delle mie avventure con la MTB

Offline Lazy

  • *
  • Post: 731
  • Reputazione: 10
  • Fondatore Comunità Italiana di Chakra
    • Mostra profilo
Re: Problemi aggiornamento
« Risposta #2 il: 27 Marzo 2011 ore 19:37 »
Da quanto puoi leggere sul topic che hai linkato,non so bene da cosa sia causato ma non è nulla che dipenda da un tuo errore,semplicemente si tratta di un problema che è stato rilevato anche da chi usa Arch...
Per sapere di preciso cosa fa quel comando ti consiglio di dare un occhio al wiki di pacman di Chakra oppure al wiki su pacman di Arch che è più approfondito... ;)

Offline enzolatina

  • *
  • Post: 609
  • Reputazione: 18
    • Mostra profilo
Re: Problemi aggiornamento
« Risposta #3 il: 28 Marzo 2011 ore 00:22 »
di pacchetti che danno il problema di file gia esistenti ne passano diversi, anche su archlinux, io vorrei consigliare, a chi gli  succede, prima di forzare con l'opzione -f, di controllare a quale pacchetto appartiene/appartengono i file che causano problemi (pacman -Qo percorso/del/file/da/controllare) per vedere se per caso sia stato installato da qualche altro pacchetto e se la eventuale sovrascrittura non possa causare problemi.....
noi siamo ****linux, ogni resistenza è inutile, sarete assimilati
linuxuser:408768 http://linuxcounter.net

Offline cippaciong

  • *
  • Post: 708
  • Reputazione: 47
  • Fletto i muscoli e sono nel vuoto
    • Mostra profilo
Re: [Risolto]Problemi aggiornamento
« Risposta #4 il: 28 Marzo 2011 ore 01:38 »
Ciao a tutti!
Anch'io sto avendo dei problemi con gli aggiornamenti del kernel (utilizzo il 2.6.37.4-1) ma il mio problema è che il sistema proprio non rileva che ci sia un pacchetto più aggiornato nei repo. Eppure utilizzo i repo ufficiali:
http://chakra-project.org/repo/
nei quali il pacchetto è già presente (2.6.38.1-1).

Non capisco quale possa essere il problema, in ogni caso anche l'opzione -f non risolve le cose.
Mi sono accorto che non aggiornava il kernel solo oggi che mi sono apparsi 2 aggiornamenti e uno mi dava appunto problemi di dipendenze perchè il kernel era ancora il 2.6.37

Offline Lazy

  • *
  • Post: 731
  • Reputazione: 10
  • Fondatore Comunità Italiana di Chakra
    • Mostra profilo
Re: [Risolto]Problemi aggiornamento
« Risposta #5 il: 28 Marzo 2011 ore 02:36 »
Posta il tuo mirrorlist,probabilmente non lo hai aggiornato,se il problema è quello ti spieghiamo come risolvere...;)

Offline enzolatina

  • *
  • Post: 609
  • Reputazione: 18
    • Mostra profilo
Re: [Risolto]Problemi aggiornamento
« Risposta #6 il: 28 Marzo 2011 ore 02:49 »
[quote="cippaciong" post=581]
Non capisco quale possa essere il problema, in ogni caso anche l'opzione -f non risolve le cose.
Mi sono accorto che non aggiornava il kernel solo oggi che mi sono apparsi 2 aggiornamenti e uno mi dava appunto problemi di dipendenze perchè il kernel era ancora il 2.6.37[/quote]
l'opzione -f serve solo a "forzare" l'aggiornamento nel senso  che se un pacchetto non si installa per file in conflitto allora funziona, non è di alcuna utilità per "forzare" un'aggiornamento che pacman non vede...
prova con -Syy e vedi se riesce a vedere i nuovi pacchetti, se non è problema di server oppure di configurazione in pacman.conf
noi siamo ****linux, ogni resistenza è inutile, sarete assimilati
linuxuser:408768 http://linuxcounter.net

Offline cippaciong

  • *
  • Post: 708
  • Reputazione: 47
  • Fletto i muscoli e sono nel vuoto
    • Mostra profilo
Re: [Risolto]Problemi aggiornamento
« Risposta #7 il: 28 Marzo 2011 ore 04:47 »
Syy l'ho già provato ma anche quello non ha funzionato. Il file mirrorlist mi pare l'avessi aggiornato perchè avevo visto delle differenze con quello vecchio, in ogni caso ho impostato l'uso di quel repo direttamente dal file pacman.conf. comunque ecco i file

mirrorlist
Codice: [Seleziona]
#
# Chakra Linux repository mirrorlist
# Generated on 2011-03-09
#

# China
#Server = http://debian.cn99.com/kdemod/$repo/x86_64
#Server = http://oss.ustc.edu.cn/kdemod/$repo/x86_64
#Server = http://mirrors.163.com/kdemod/$repo/x86_64

# Czech Republic
Server = http://ftp.sh.cvut.cz/MIRRORS/chakra/$repo/x86_64
Server = ftp://ftp.sh.cvut.cz/MIRRORS/chakra/$repo/x86_64

# France
Server = http://www-ftp.lip6.fr/pub/linux/distributions/chakra/$repo/x86_64
Server = ftp://ftp.lip6.fr/pub/linux/distributions/chakra/$repo/x86_64
#Server = http://ftp.ciril.fr/pub/linux/chakra/$repo/x86_64
#Server = ftp://ftp.ciril.fr/pub/linux/chakra/$repo/x86_64

# Germany
Server = http://chakra-project.org/repo/$repo/x86_64
#Server = http://mirror.selfnet.de/kdemod/$repo/x86_64
#Server = ftp://mirror.selfnet.de/kdemod/$repo/x86_64
#Server = http://mirror.wh-stuttgart.net/mirrors/kdemod/$repo/x86_64

# Greece
#Server = http://ftp.cc.uoc.gr/mirrors/linux/chakra/$repo/x86_64
#Server = ftp://ftp.cc.uoc.gr/mirrors/linux/chakra/$repo/x86_64

# Russia
#Server = http://mirror.tspu.ru/chakra-project/$repo/x86_64

# Sweden
#Server = http://ftp.df.lth.se/pub/chakra/kdemod/$repo/x86_64
#Server = http://http.se.scene.org/pub/chakra/kdemod/$repo/x86_64

# Switzerland
#Server = http://archlinux.puzzle.ch/kdemod/$repo/x86_64

# Spain
Server = http://ftp.caliu.cat/pub/distribucions/chakra/repo/$repo/x86_64

# United States
#Server = http://mirror.rit.edu/kdemod/$repo/x86_64


pacman.conf
Codice: [Seleziona]
#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
HoldPkg     = pacman glibc
# If upgrades are available for these packages they will be asked for first
SyncFirst   = pacman
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#XferCommand = /usr/bin/curl %u > %o
#CleanMethod = KeepInstalled

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
#IgnorePkg   =
#IgnoreGroup =

#NoUpgrade   =
#NoExtract   =

# Misc options (all disabled by default)
#NoPassiveFtp
#UseSyslog
#ShowSize
#UseDelta
#TotalDownload

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here
#   - local/custom mirrors can be added here or in separate files
#   - repositories listed first will take precedence when packages
#     have identical names, regardless of version number
#   - URLs will have $repo replaced by the name of the current repo
#
# Repository entries are of the format:
#       [repo-name]
#       Server = ServerName
#       Include = IncludePath
#
# The header [repo-name] is crucial - it must be present and
# uncommented to enable the repo.
#

[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
HoldPkg     = pacman glibc
# If upgrades are available for these packages they will be asked for first
SyncFirst   = pacman
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#XferCommand = /usr/bin/curl %u > %o

[games]
Include = /etc/pacman.d/mirrorlist
Server = http://chakra-project.org/repo/games/x86_64

[apps]
Include = /etc/pacman.d/mirrorlist
Server = http://chakra-project.org/repo/apps/x86_64

[desktop]
Include = /etc/pacman.d/mirrorlist
Server = http://chakra-project.org/repo/desktop/x86_64

[platform]
Include = /etc/pacman.d/mirrorlist
Server = http://chakra-project.org/repo/platform/x86_64

[core]
Include = /etc/pacman.d/mirrorlist
Server = http://chakra-project.org/repo/core/x86_64

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#Server = file:///home/custompkgs

Offline d4n1x

  • *
  • Post: 257
  • Reputazione: 18
    • Mostra profilo
Re: [Risolto]Problemi aggiornamento
« Risposta #8 il: 28 Marzo 2011 ore 04:51 »
Prova a commentare tutte le voci di mirrorlist e a decommentare solo quelle sotto la voce Germany. A quel punto prova a dare da bash:
Codice: [Seleziona]
sudo pacman -Syu
e vediamo cosa succede.

Offline cippaciong

  • *
  • Post: 708
  • Reputazione: 47
  • Fletto i muscoli e sono nel vuoto
    • Mostra profilo
Re: [Risolto]Problemi aggiornamento
« Risposta #9 il: 28 Marzo 2011 ore 05:45 »
Ha funzionato, grazie!
In effetti potevo pensarci eh :lol:
ora però mi piacerebbe capire perchè non usava i repo che gli avevo ampostato...

edit: se non mi sbaglio dopo questo aggiornamento devo eliminare tutti i bundle e reinstallarli se non vanno giusto??

Offline Lazy

  • *
  • Post: 731
  • Reputazione: 10
  • Fondatore Comunità Italiana di Chakra
    • Mostra profilo
Re: [Risolto]Problemi aggiornamento
« Risposta #10 il: 28 Marzo 2011 ore 06:09 »
[quote="cippaciong" post=588]Ha funzionato, grazie!
In effetti potevo pensarci eh :lol:
ora però mi piacerebbe capire perchè non usava i repo che gli avevo ampostato...

edit: se non mi sbaglio dopo questo aggiornamento devo eliminare tutti i bundle e reinstallarli se non vanno giusto??[/quote]
I repo andavano bene,vanno bene,era il mirorlist che era vecchio cmq dando precedenza a quello tedesco che è il principale gli aggiornamenti arrivano prima, cmq decommentane anche altri sotto germany se vuoi...
Per i bundle si,se non vanno reinstallali...

Offline jmc

  • *
  • Post: 1354
  • Reputazione: 95
    • Mostra profilo
    • The Chakra Project
Re: [Risolto]Problemi aggiornamento
« Risposta #11 il: 28 Marzo 2011 ore 12:53 »
[quote="cippaciong" post=588]ora però mi piacerebbe capire perchè non usava i repo che gli avevo ampostato...[/quote]
Perché il primo server nella lista era quello cecoslovacco.
Il file mirrorlist imposta anche la priorità dei mirror (il primo incontrato è quello usato come server principale), di modo che venga sempre utilizzato quello, a meno che non si verifichino errori (ad esempio, se nel database risulta essere presente un file che però sul server non viene trovato, pacman salterà alla prossima voce in elenco),

Offline cippaciong

  • *
  • Post: 708
  • Reputazione: 47
  • Fletto i muscoli e sono nel vuoto
    • Mostra profilo
Re: [Risolto]Problemi aggiornamento
« Risposta #12 il: 28 Marzo 2011 ore 14:26 »
Beh ma in teoria avendo impostato il server specifico da usare in pcamn.conf dovrebbe usare quello al posto del primo di mirrorlist no?

Offline d4n1x

  • *
  • Post: 257
  • Reputazione: 18
    • Mostra profilo
Re: [Risolto]Problemi aggiornamento
« Risposta #13 il: 28 Marzo 2011 ore 16:59 »
No in realtà in pacman.conf gli passi solamente il pathname del file mirrorlist. Poi da li devi abilitare i vari server ;)

Offline cippaciong

  • *
  • Post: 708
  • Reputazione: 47
  • Fletto i muscoli e sono nel vuoto
    • Mostra profilo
Re: [Risolto]Problemi aggiornamento
« Risposta #14 il: 29 Marzo 2011 ore 00:58 »
sì ok, questo con l'opzione "Include" ma se non sbaglio mettendo l'opzione "Server" come nel mio pacman.conf che ho postato dovrebbe usare quel server specifico.

 

Template by Homey | Sito ufficiale | Disclaimer